> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quedup.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Job

> Retrieve a single Job by ID



## OpenAPI

````yaml openapi.json get /jobs/{id}
openapi: 3.1.0
info:
  description: QuedUp API Reference
  title: OpenAPI
  version: 0.0.1
servers:
  - description: Production server
    url: https://api.quedup.dev
security: []
tags:
  - name: Job
paths:
  /jobs/{id}:
    get:
      tags:
        - Job
      summary: Retrieve Job
      description: Retrieve a single Job by ID
      operationId: GET_/jobs/:id
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Internal Server Error
        default:
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    Job:
      description: Job schema
      properties:
        body:
          type: string
        headers:
          additionalProperties: {}
          type: object
        id:
          example: job_xxx
          type: string
        method:
          example: POST
          type: string
        name:
          example: Job
          type: string
        next_run_at:
          description: >-
            The next time the Job is scheduled to run. If empty, the Job is
            complete=.
          format: date-time
          nullable: true
          type: string
        schedule:
          description: The CRON schedule for the Job
          example: 0 12 * * *
          nullable: true
          type: string
        status:
          description: A Job can be active, paused, failed or completed
          example: active
          type: string
        url:
          example: https://example.com
          type: string
      type: object
    HTTPError:
      description: HTTPError schema
      properties:
        detail:
          description: Human readable error message
          nullable: true
          type: string
        errors:
          items:
            nullable: true
            properties:
              more:
                additionalProperties:
                  description: Additional information about the error
                  nullable: true
                description: Additional information about the error
                nullable: true
                type: object
              name:
                description: For example, name of the parameter that caused the error
                type: string
              reason:
                description: Human readable error message
                type: string
            type: object
          nullable: true
          type: array
        instance:
          nullable: true
          type: string
        status:
          description: HTTP status code
          example: 403
          nullable: true
          type: integer
        title:
          description: Short title of the error
          nullable: true
          type: string
        type:
          description: >-
            URL of the error type. Can be used to lookup the error in a
            documentation
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      scheme: bearer
      type: http

````